# JacocoViolationRulesContainer

interface JacocoViolationRulesContainer

The violation rules configuration for the org.gradle.testing.jacoco.tasks.JacocoReport task.

#### Since

3.4

## Functions

getRules
Link copied to clipboard
@Input
abstract fun getRules(): List<JacocoViolationRule>
Gets all violation rules.
isFailOnViolation
Link copied to clipboard
@Input
abstract fun isFailOnViolation(): Boolean
Specifies whether build should fail in case of rule violations.
rule
Link copied to clipboard
abstract fun rule(configureAction: Action<in JacocoViolationRule>): JacocoViolationRule
Adds a violation rule.
setFailOnViolation
Link copied to clipboard
abstract fun setFailOnViolation(ignore: Boolean)
Indicates whether build should fail in case of rule violation.